karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Cohen <oleg.co...@assurebridge.com>
Subject Re: Error starting 4.2.9 with JDK 14.0.1 on Mac
Date Tue, 16 Jun 2020 14:47:36 GMT
Thank you! What is the highest that is supported? I am still on JDK 8 and I would like to move
closer to where things are today.

Best,
Oleg

> On Jun 16, 2020, at 9:47 AM, Christian Lutz <ChristianLutz@kreeloo.de> wrote:
> 
> Hello Oleg,
> 
> a few weeks ago JB mentioned that jdk 14 isnt supported, yet. Will be with 4.2.10. 
> 
> kind regards. 
> 
>> Am 16.06.2020 um 13:57 schrieb Oleg Cohen <oleg.cohen@assurebridge.com>:
>> 
>> 
>> Greetings,
>> 
>> I installed a brand new Karaf 4.2.9 and a JDK 14.0.1.
>> 
>> I get the following error starting ./bin/karaf
>> 
>> tcsh% ./bin/karaf
>> ERROR: Error parsing system bundle export statement: org.osgi.dto;version="1.0",org.osgi.resource;version="1.0",org.osgi.resource.dto;version="1.0";uses:="org.osgi.dto",org.osgi.framework;version="1.8",org.osgi.framework.dto;version="1.8";uses:="org.osgi.dto",org.osgi.framework.hooks.bundle;version="1.1";uses:="org.osgi.framework",org.osgi.framework.hooks.resolver;version="1.0";uses:="org.osgi.framework.wiring",org.osgi.framework.hooks.service;version="1.1";uses:="org.osgi.framework",org.osgi.framework.hooks.weaving;version="1.1";uses:="org.osgi.framework.wiring",org.osgi.framework.launch;version="1.2";uses:="org.osgi.framework",org.osgi.framework.namespace;version="1.1";uses:="org.osgi.resource",org.osgi.framework.startlevel;version="1.0";uses:="org.osgi.framework",org.osgi.framework.startlevel.dto;version="1.0";uses:="org.osgi.dto",org.osgi.framework.wiring;version="1.2";uses:="org.osgi.framework,org.osgi.resource",org.osgi.framework.wiring.dto;version="1.2";uses:="org.osgi.dto,org.osgi.resource.dto",org.osgi.service.condpermadmin;version="1.1.1";uses:="org.osgi.framework,org.osgi.service.permissionadmin",org.osgi.service.packageadmin;version="1.2";uses:="org.osgi.framework",org.osgi.service.permissionadmin;version="1.2",org.osgi.service.resolver;version="1.0";uses:="org.osgi.resource",org.osgi.service.startlevel;version="1.1";uses:="org.osgi.framework",org.osgi.service.url;version="1.0",org.osgi.util.tracker;version="1.5.1";uses:="org.osgi.framework",org.apache.karaf.version;version="4.2.9",org.apache.karaf.jaas.boot.principal;uses:=javax.security.auth;version="4.2.9",org.apache.karaf.jaas.boot;uses:="javax.security.auth,javax.security.auth.callback,javax.security.auth.login,javax.security.auth.spi,org.osgi.framework";version="4.2.9",org.apache.karaf.info
<http://org.apache.karaf.info/>;version="4.2.9",,org.apache.karaf.branding, sun.misc,
com.sun.jmx.remote.protocol, com.sun.jmx.remote.protocol.jmxmp, org.apache.karaf.jaas.boot.principal;uses:=javax.security.auth;version=4.2.9,
org.apache.karaf.jaas.boot;uses:="javax.security.auth,javax.security.auth.callback,javax.security.auth.login,javax.security.auth.spi,org.osgi.framework";version=4.2.9,
org.apache.karaf.diagnostic.core;uses:=org.osgi.framework;version=4.2.9, org.apache.karaf.diagnostic.core.common;uses:=org.apache.karaf.diagnostic.core;version=4.2.9
>> org.osgi.framework.BundleException: Exported package names cannot be zero length.
>> at org.apache.felix.framework.util.manifestparser.ManifestParser.normalizeExportClauses(ManifestParser.java:876)
>> at org.apache.felix.framework.util.manifestparser.ManifestParser.<init>(ManifestParser.java:215)
>> at org.apache.felix.framework.ExtensionManager.<init>(ExtensionManager.java:261)
>> at org.apache.felix.framework.Felix.<init>(Felix.java:429)
>> at org.apache.felix.framework.FrameworkFactory.newFramework(FrameworkFactory.java:28)
>> at org.apache.karaf.main.Main.launch(Main.java:256)
>> at org.apache.karaf.main.Main.main(Main.java:178)
>> WARNING: An illegal reflective access operation has occurred
>> WARNING: Illegal reflective access by org.apache.felix.framework.URLHandlers (file:/Users/ocohen/AppsLocal/Karaf/apache-karaf-4.2.9/system/org/apache/felix/org.apache.felix.framework/5.6.12/org.apache.felix.framework-5.6.12.jar)
to constructor sun.net.www.protocol.file.Handler()
>> WARNING: Please consider reporting this to the maintainers of org.apache.felix.framework.URLHandlers
>> WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective
access operations
>> WARNING: All illegal access operations will be denied in a future release
>> Error installing bundle listed in startup.properties with url: mvn:org.apache.karaf.features/org.apache.karaf.features.extension/4.2.9
and startlevel: 1
>> 
>> 
>> Is there anything I need to do to configure? Is there a problem getting artifacts?
>> 
>> Thank you!
>> Oleg
>> 
>> -- 
>> Oleg Cohen  |  Principal  |  A S S U R E B R I D G E
>> Office: +1 617 564 0737 <>  |  Mobile: +1 617 455 7927 <>  |  Fax: +1
888 409 6995 <>
>> Email: Oleg.Cohen@assurebridge.com <mailto:Oleg.Cohen@assurebridge.com>  |
 www.assurebridge.com <http://www.assurebridge.com/>

Mime
View raw message